Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.register
Class RepliedUser

    java.lang.Object
      |
      +--com.jxml.qare.qhome.SDO
            |
            +--com.jxml.qare.qhome.MessageAgent
                  |
                  +--com.jxml.qare.qhome.register.RepliedUser

All Implemented Interfaces:
  Item

public class RepliedUser
extends MessageAgent

Field Summary
`List` | `appsNames`

Fields inherited from class com.jxml.qare.qhome.MessageAgent
`inbox, orginatingSession, sourceESDO`

Constructor Summary
`RepliedUser(List appsNames)`

Method Summary
`void` | `eval(Map properties, List args, ClassLoader cl)` This method is overidden by classes which support message display in inbox.
`String` | `getAction()` This method is overidden by classes to specify the action defined by this message.
`QSchemaFactory` | `getFactory()` This method is overidden by classes which use the process/reply logic.
`void` | `process(DBSession.Row qSession, QAppPlugin qapp)` This method is overidden by classes which use the process/reply logic.

Methods inherited from class com.jxml.qare.qhome.MessageAgent
`lastSend, lastSend, send, send, send, send, send, send, send, signed, timeout`

Methods inherited from class com.jxml.qare.qhome.SDO
`createInboxMsg, createInboxMsg, exceptionTraceString, getFactoryClassName, getQDoc, getSchema, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### appsNames

    public List appsNames

Constructor Detail

### RepliedUser

    public RepliedUser(List appsNames)

Method Detail

### eval

    public void eval(Map properties,
                     List args,
                     ClassLoader cl)
              throws Exception

  Description copied from class: `SDO`
  This method is overidden by classes which support message display in inbox.
  Overrides:
    `eval` in class `SDO`

### getAction

    public String getAction()

  Description copied from class: `SDO`
  This method is overidden by classes to specify the action defined by this message.
  Overrides:
    `getAction` in class `SDO`

### getFactory

    public QSchemaFactory getFactory()

  Description copied from class: `SDO`
  This method is overidden by classes which use the process/reply logic.
  Overrides:
    `getFactory` in class `SDO`

### process

    public void process(DBSession.Row qSession,
                        QAppPlugin qapp)
                 throws Exception

  Description copied from class: `MessageAgent`
  This method is overidden by classes which use the process/reply logic.
  Overrides:
    `process` in class `MessageAgent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD